Hello Jan:

> I don't really know what else I could do. Right now it looks
> pretty much as if I'm going to switch to FreeBSD, my second
> favourite :-| 
> Has anyone got Zope 2.2.5 running under OpenBSD 2.8??? If so, I'd
> be really curious what steps you followed to get it to work.-

You will have to use FreeBSD or use OpenBSD 2.7.

2.8 will not work because there is a bug in the threading library 
included with OpenBSD 2.8. Zope triggers it when you call the management 

However, in the Zope code for the management screens there are 
"thread-safe" calls used which are not, as far as I know, used elsewhere 
in Zope. Maybe there is a bug in that code?

But for now I believe the bug to be in OpenBSD 2.8. I have not found 
anything to suggest that it has been fixed or looked at. None of the 
patches released so far for 2.8 mention it.

I went through this in early December.


Zope maillist  -  [EMAIL PROTECTED]
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-dev )

Reply via email to